com.amazonaws.services.cloudfront.model

## Class CloudFrontOriginAccessIdentity

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.CloudFrontOriginAccessIdentity

All Implemented Interfaces:
  Serializable, Cloneable

    public class CloudFrontOriginAccessIdentity
    extends Object
    implements Serializable, Cloneable

CloudFront origin access identity.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CloudFrontOriginAccessIdentity()` Default constructor for CloudFrontOriginAccessIdentity object.
`CloudFrontOriginAccessIdentity(String id, String s3CanonicalUserId)` Constructs a new CloudFrontOriginAccessIdentity object.

### Method Summary

All Methods Instance Methods Concrete Methods
`CloudFrontOriginAccessIdentity` `clone()`
`boolean` `equals(Object obj)`
`CloudFrontOriginAccessIdentityConfig` `getCloudFrontOriginAccessIdentityConfig()` The current configuration information for the identity.
`String` `getId()` The ID for the origin access identity.
`String` `getS3CanonicalUserId()` The Amazon S3 canonical user ID for the origin access identity, used when giving the origin access identity read permission to an object in Amazon S3.
`int` `hashCode()`
`void` `setCloudFrontOriginAccessIdentityConfig(CloudFrontOriginAccessIdentityConfig cloudFrontOriginAccessIdentityConfig)` The current configuration information for the identity.
`void` `setId(String id)` The ID for the origin access identity.
`void` `setS3CanonicalUserId(String s3CanonicalUserId)` The Amazon S3 canonical user ID for the origin access identity, used when giving the origin access identity read permission to an object in Amazon S3.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CloudFrontOriginAccessIdentity` `withCloudFrontOriginAccessIdentityConfig(CloudFrontOriginAccessIdentityConfig cloudFrontOriginAccessIdentityConfig)` The current configuration information for the identity.
`CloudFrontOriginAccessIdentity` `withId(String id)` The ID for the origin access identity.
`CloudFrontOriginAccessIdentity` `withS3CanonicalUserId(String s3CanonicalUserId)` The Amazon S3 canonical user ID for the origin access identity, used when giving the origin access identity read permission to an object in Amazon S3.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloudFrontOriginAccessIdentity

    public CloudFrontOriginAccessIdentity()

Default constructor for CloudFrontOriginAccessIdentity object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### CloudFrontOriginAccessIdentity

    public CloudFrontOriginAccessIdentity(String id,
                                          String s3CanonicalUserId)

Constructs a new CloudFrontOriginAccessIdentity object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `id` - The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.
  `s3CanonicalUserId` - The Amazon S3 canonical user ID for the origin access identity, used when giving the origin access identity read permission to an object in Amazon S3.

### Method Detail

#### setId

    public void setId(String id)

The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.

Parameters:
  `id` - The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.

#### getId

    public String getId()

The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.

Returns:
  The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.

#### withId

    public CloudFrontOriginAccessIdentity withId(String id)

The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.

Parameters:
  `id` - The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setS3CanonicalUserId

    public void setS3CanonicalUserId(String s3CanonicalUserId)

The Amazon S3 canonical user ID for the origin access identity, used when giving the origin access identity read permission to an object in Amazon S3.

Parameters:
  `s3CanonicalUserId` - The Amazon S3 canonical user ID for the origin access identity, used when giving the origin access identity read permission to an object in Amazon S3.

#### getS3CanonicalUserId

    public String getS3CanonicalUserId()

The Amazon S3 canonical user ID for the origin access identity, used when giving the origin access identity read permission to an object in Amazon S3.

Returns:
  The Amazon S3 canonical user ID for the origin access identity, used when giving the origin access identity read permission to an object in Amazon S3.

#### withS3CanonicalUserId

    public CloudFrontOriginAccessIdentity withS3CanonicalUserId(String s3CanonicalUserId)

The Amazon S3 canonical user ID for the origin access identity, used when giving the origin access identity read permission to an object in Amazon S3.

Parameters:
  `s3CanonicalUserId` - The Amazon S3 canonical user ID for the origin access identity, used when giving the origin access identity read permission to an object in Amazon S3.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCloudFrontOriginAccessIdentityConfig

    public void setCloudFrontOriginAccessIdentityConfig(CloudFrontOriginAccessIdentityConfig cloudFrontOriginAccessIdentityConfig)

The current configuration information for the identity.

Parameters:
  `cloudFrontOriginAccessIdentityConfig` - The current configuration information for the identity.

#### getCloudFrontOriginAccessIdentityConfig

    public CloudFrontOriginAccessIdentityConfig getCloudFrontOriginAccessIdentityConfig()

The current configuration information for the identity.

Returns:
  The current configuration information for the identity.

#### withCloudFrontOriginAccessIdentityConfig

    public CloudFrontOriginAccessIdentity withCloudFrontOriginAccessIdentityConfig(CloudFrontOriginAccessIdentityConfig cloudFrontOriginAccessIdentityConfig)

The current configuration information for the identity.

Parameters:
  `cloudFrontOriginAccessIdentityConfig` - The current configuration information for the identity.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CloudFrontOriginAccessIdentity clone()

Overrides:
  `clone` in class `Object`